/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: setup.c,v 1.3 2004/12/02 15:02:52 lordjaxom Exp $
 */

#include "setup.h"
#include "i18n.h"
#include <vdr/menuitems.h>
#include <vdr/videodir.h>

cBurnSetup BurnSetup;

const char *Datadir = NULL;
const char *DVDdev  = NULL;
const char *ISOdir  = NULL;

cBurnSetup::cBurnSetup(void) {
	UseIso2UTF = 0;
}

bool cBurnSetup::SetupParse(const char *Name, const char *Value) {
	if (strcmp(Name, "UseIso2UTF") == 0) UseIso2UTF = atoi(Value);
	else return false;
	return true;
}

cBurnMenuSetupPage::cBurnMenuSetupPage(void) {
	mData = BurnSetup;

	Add(new cMenuEditBoolItem(tr("Convert texts to UTF-8"), &mData.UseIso2UTF));
}

cBurnMenuSetupPage::~cBurnMenuSetupPage() {
}

void cBurnMenuSetupPage::Store(void) {
	SetupStore("UseIso2UTF", mData.UseIso2UTF);
	BurnSetup = mData;
}
