/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: xml.c,v 1.1.1.1 2004/11/19 16:45:31 lordjaxom Exp $
 */

#include "xml.h"

const char *DVDAuthorHeader =
	"<dvdauthor dest=\"%s/DVDAUTHOR\">\n";

const char *DVDAuthorVMGMHeader =
	"  <vmgm>\n"
	"    <menus>\n";

const char *DVDAuthorVMGMEntryTitleHeader = 
  "      <pgc entry=\"title\">\n"
	"        <vob file=\"%s/menu-bg-%d.mpg\"/>\n";

const char *DVDAuthorVMGMEntryHeader = 
  "      <pgc>\n"
	"        <vob file=\"%s/menu-bg-%d.mpg\"/>\n";

const char *DVDAuthorVMGMEntryButton1 =
  "        <button>jump titleset %d menu;</button>\n";

const char *DVDAuthorVMGMEntryButton2 =
	"        <button>jump menu %d;</button>\n";

const char *DVDAuthorVMGMEntryFooter = 
  "      </pgc>\n";

const char *DVDAuthorVMGMFooter =
  "    </menus>\n"
	"  </vmgm>\n";

const char *DVDAuthorTitleHeader =
  "  <titleset>\n"
	"    <menus>\n";

const char *DVDAuthorTitleMenuRootHeader =
  "      <pgc entry=\"root\">\n"
	"        <vob file=\"%s/menu-bg-%d.mpg\" />\n";

const char *DVDAuthorTitleMenuHeader =
  "      <pgc>\n"
	"        <vob file=\"%s/menu-bg-%d.mpg\" />\n";

const char *DVDAuthorTitleMenuButton = 
	"        <button>jump menu %d;</button>\n";

const char *DVDAuthorTitleMenuFooter =
	"        <button>jump title 1 chapter 1;</button>\n"
	"        <button>jump vmgm menu;</button>\n"
	"      </pgc>\n";

const char *DVDAuthorTitleFooter = 
  "    </menus>\n"
	"    <titles>\n"
	"      <pgc>\n"
	"        <vob file=\"%s/movie.mpg\"/>\n"
	"        <post>call vmgm menu;</post>\n"
	"      </pgc>\n"
	"    </titles>\n"
	"  </titleset>\n";

const char *DVDAuthorFooter =
	"</dvdauthor>\n";

